extends Control

func _on_h_slider_value_changed(value):
	Engine.max_fps = value
	$HBoxContainer/Value.text = "Unlimited" if value == 0 else "%d FPS" % value


func _on_max_fps_when_unfocused_value_changed(value):
	ProjectSettings.set_setting("application/run/max_fps_when_unfocused", roundi(value))
	$HBoxContainer2/Value.text = "Unlimited" if value == 0 else "%d FPS" % value


func _on_check_button_toggled(button_pressed):
	OS.low_processor_usage_mode = button_pressed


func _on_low_processor_mode_on_focus_loss_toggled(button_pressed):
	ProjectSettings.set_setting("application/run/low_processor_mode_when_unfocused", button_pressed)


